/********************************* Class Declaration ***************************/
/**
\package  _uc_Uml - 
\class    UmlSettingsDialog (Build: 57)

\brief    


\date     $Date: 2011-10-26 13:55:02.51 $
\note     dbsource gui.dev - ODABA Version 11.2.0

          Copyright (C) 1994-2011 Run Software GmbH.
 
          This program is free software: you can redistribute it and/or modify
          it under the terms of the GNU General Public License as published by
          the Free Software Foundation, either version 3 of the License, or
          (at your option) any later version.
 
          This program is distributed in the hope that it will be useful,
          but WITHOUT ANY WARRANTY; without even the implied warranty of
          MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
          GNU General Public License 3.0 for more details.
 
          You should have received a copy of the GNU General Public License
          along with this program. If not, see <http://www.gnu.org/licenses/>.

*/
/******************************************************************************/
#pragma once
class UmlSettingsDialog;

class QGridLayout;
class QLineEdit;
class QPushButton;
class UmlView;
#include  <h/cqt.h>
#include  <h/cqt.h>
#include  <h/cqt.h>
#include  <h/cqt.h>
class  UmlSettingsDialog    : public ::QWidget                                         
{


private    :                                                       Q_OBJECT;                                                 // 
private    :         UmlView                                     * uml;                                                      // 
private    :         QGridLayout                                 * layout;                                                   // 
private    :         QPushButton                                 * ok;                                                       // 
private    :         QPushButton                                 * cancel;                                                   // 
private    :         QSpinBox                                    * depth_basing_on;                                          // 
private    :         QSpinBox                                    * depth_based_on;                                           // 
private    :         QTextEdit                                   * post_expression;                                          // 
private    :         QCheckBox                                   * show_based_on;                                            // 
private    :         QCheckBox                                   * show_basing_on;                                           // 
private    :         QCheckBox                                   * show_functions;                                           // 
private    :         QCheckBox                                   * show_member;                                              // 
private    :         QCheckBox                                   * show_referenced_classes;                                  // 
private    :         QCheckBox                                   * show_referencing_classes;                                 // 
private    :         QCheckBox                                   * show_referenced_member;                                   // 
private    :         QCheckBox                                   * show_referencing_member;                                  // 
private    :         QLineEdit                                   * size;                                                     // 

public     :
public     :                                            UmlSettingsDialog (UmlView *pUmlView );
public     :  public slots:                        void loadSettings ( );
public     :  public slots:                        void slotCancel ( );
public     :  public slots:                        void slotOK ( );
public     :  public slots:                        void storeSettings ( );
public     :                                            ~UmlSettingsDialog ( );

};

