/********************************* Class Source Code ***************************/
/**
\package  _uc_WebKitControl - 
\class    WebKitPage (Build: 7)

\brief    


\date     $Date: 2011-10-26 14:15:36.17 $
\note     dbsource gui.dev - ODABA Version 11.2.0

          Copyright (C) 1994-2011 Run Software GmbH.
 
          This program is free software: you can redistribute it and/or modify
          it under the terms of the GNU General Public License as published by
          the Free Software Foundation, either version 3 of the License, or
          (at your option) any later version.
 
          This program is distributed in the hope that it will be useful,
          but WITHOUT ANY WARRANTY; without even the implied warranty of
          MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
          GNU General Public License 3.0 for more details.
 
          You should have received a copy of the GNU General Public License
          along with this program. If not, see <http://www.gnu.org/licenses/>.

*/
/******************************************************************************/
#define    OBJ_ID  "WebKitPage"

#include  <h/p_uc_WebKitControl.h>
#include  <h/cqt.h>
#include  <h/WebKitPage.hpp>

/**************************************************************************//**
\brief  WebKitPage - 


******************************************************************************/
#undef     MOD_ID
#define    MOD_ID  "WebKitPage"

/**************************************************************************//**
\brief  WebKitPage - 
*******************************************************************************
\brief  default - 



\param  pQObject - 
*******************************************************************************
******************************************************************************/

     WebKitPage :: WebKitPage (QObject *pQObject )
                     : QWebPage (pQObject)
{



}

/**************************************************************************//**
\brief  javaScriptConsoleMessage - 


******************************************************************************/
#undef     MOD_ID
#define    MOD_ID  "javaScriptConsoleMessage"

/**************************************************************************//**
\brief  javaScriptConsoleMessage - 
*******************************************************************************
\brief  default - 



\param  rcqsMessage - 
\param  iLineNumber - 
\param  rcqsSourceID - 
*******************************************************************************
******************************************************************************/

void WebKitPage :: javaScriptConsoleMessage (const ::QString &rcqsMessage, int iLineNumber, const ::QString &rcqsSourceID )
{

  QString logEntry = rcqsMessage 
  + " on line: " + QString::number(iLineNumber) 
  + " Source: " + rcqsSourceID;
  qDebug() << logEntry;

}

/**************************************************************************//**
\brief  ~WebKitPage - 


******************************************************************************/
#undef     MOD_ID
#define    MOD_ID  "~WebKitPage"

/**************************************************************************//**
\brief  ~WebKitPage - 
*******************************************************************************
\brief  default - 



*******************************************************************************
******************************************************************************/

     WebKitPage :: ~WebKitPage ( )
{



}


